﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Buddy.Swtor;
using Buddy.Swtor.Objects;
using System.Windows.Forms;

namespace ProfileBuilder
{
    class GrindPoint
    {
        public string MobName;
        public float X, Y, Z;
        public int level;
        public CheckBox c = new CheckBox();
        

        public GrindPoint(TorCharacter c)
        {
            this.MobName = c.Name;
            this.X = c.Position.X;
            this.Y = c.Position.Y;
            this.Z = c.Position.Z;
            this.level = (int)c.Level;
        }

        public string Name
        {
            get { return MobName; }
            set { MobName = value; }
        }

        public int Level
        {
            get { return level; }
            set { level = value; }
        }

        public float x
        {
            get { return X; }
            set { X = value; }
        }

        public float y
        {
            get { return Y; }
            set { Y = value; }
        }

        public float z
        {
            get { return Z; }
            set { Z = value; }
        }        

        public string BuildString()
        {
            return "<Hotspot Name=\"" + MobName + "\" X=\"" + X + "\" Y=\"" + Y + "\" Z=\"" + Z + "\" />";
        }
    }
}
